#ifndef	_KBCODE_H
#define	_KBCODE_H

#define	KB_SHIFT	(0x04)
#define	KB_CTRL		(0x10)

#define	KC_CAN		0x03	/* ݾ [CTRL+C]	*/
#define	KC_CR		0x0D	/* RETURN	*/
#define	KC_LF		0x0A	/* LF		*/
#define	KC_BS		0x08	/* ޯ ߰	*/
#define	KC_TAB		0x09	/* TAB		*/
#define	KC_ESC		0x1B	/* ESC	*/

#define	KA_ESC		0x0100	/* [ESC]		*/
#define	KA_1		0x0200
#define	KA_2		0x0300
#define	KA_3		0x0400
#define	KA_4		0x0500
#define	KA_5		0x0600
#define	KA_6		0x0700
#define	KA_7		0x0800
#define	KA_8		0x0900
#define	KA_9		0x0A00
#define	KA_0		0x0B00
#define KA_BS		0x0F00	/* [BS]			*/
#define KA_TAB		0x1000	/* [TAB]			*/

#define	KA_Q		0x1100
#define	KA_W		0x1200
#define	KA_E		0x1300
#define	KA_R		0x1400
#define	KA_T		0x1500
#define	KA_Y		0x1600
#define	KA_U		0x1700
#define	KA_I		0x1800
#define	KA_O		0x1900
#define	KA_P		0x1A00

#define	KA_A		0x1E00
#define	KA_S		0x1F00
#define	KA_D		0x2000
#define	KA_F		0x2100
#define	KA_G		0x2200
#define	KA_H		0x2300
#define	KA_J		0x2400
#define	KA_K		0x2500
#define	KA_L		0x2600
#define	KA_SEMICOLON 0x2700	/* ; */

#define	KA_Z		0x2A00
#define	KA_X		0x2B00
#define	KA_C		0x2C00
#define	KA_V		0x2D00
#define	KA_B		0x2E00
#define	KA_N		0x2F00
#define	KA_M		0x3000

#define	KA_SPACE	0x3500
#define	KA_RETURN	0x1D00	/* [RETURN]		*/
#define	KA_DEL		0x4B00	/* Del			*/
#define	KA_INS		0x4800	/* }			*/
#define	KA_LEFT		0x4F00	/* Left  []	*/
#define	KA_RIGHT	0x5100	/* Right []	*/
#define	KA_UP		0x4D00	/* Up    []	*/
#define	KA_DOWN		0x5000	/* Down  []	*/
#define	KA_HOME		0x4E00	/* [HOME]		*/
#define	KA_PREV		0x6E00	/* [Os]		*/
#define	KA_NEXT		0x7000	/* [s]		*/
#define	KA_BEFORE	0x6E00	/* [Os](old)	*/

#define	KA_OASLEFT	0x6700	/* [Vtg] ewVtgL[{[h	*/
#define	KA_OASRIGHT	0x6800	/* [VtgE] ewVtgL[{[h	*/

#define	KA_KANDIC	0x6B00	/* []	*/
#define	KA_KANDEL	0x6C00	/* [Pꖕ]	*/
#define	KA_KANSET	0x6D00	/* [Po^]	*/
#define	KA_KANHZ	0x7100	/* [pSp]	*/

#define	KA_CANCEL	0x7200	/* []	*/
#define	KA_EXEC		0x7300	/* [s]	*/
#define	KA_BREAK	0x7C00	/* [BREAK]	*/
#define	KA_COPY		0x7D00	/* [COPY]	*/

#define	KA_PF1		0x5D00	/* [PF-1]	*/
#define	KA_PF2		0x5E00	/* [PF-2]	*/
#define	KA_PF3		0x5F00	/* [PF-3]	*/
#define	KA_PF4		0x6000	/* [PF-4]	*/
#define	KA_PF5		0x6100	/* [PF-5]	*/
#define	KA_PF6		0x6200	/* [PF-6]	*/
#define	KA_PF7		0x6300	/* [PF-7]	*/
#define	KA_PF8		0x6400	/* [PF-8]	*/
#define	KA_PF9		0x6500	/* [PF-9]	*/
#define	KA_PF10		0x6600	/* [PF10]	*/
#define	KA_PF11		0x6900	/* [PF11]	*/
#define	KA_PF12		0x5B00	/* [PF12]	*/
#define	KA_PF13		0x7400
#define	KA_PF14		0x7500
#define	KA_PF15		0x7600
#define	KA_PF16		0x7700
#define	KA_PF17		0x7800
#define	KA_PF18		0x7900
#define	KA_PF19		0x7A00
#define	KA_PF20		0x7B00

#define	KA_TENRETURN 0x4500	/* [RETURN] 10 key */

#endif
